@use './styles/list.variations' as variations;
@use './styles/list.variables' as *;
@use '../../../global/styles/utilities' as *;

:host {
	$base: '.digi-list';
	@include digi-list--variables;

	#{$base} {
    --LIST--PADDING-INLINE-START: 0;
		 
		&--numbered {
      @include variations.numbered;
		}

		&--bullet {
      @include variations.bullet;
		}

		&--none {

			@include variations.none;
      
			#{$base}__list {
				list-style-type: none;
			}
		}

		&--checked {
      @include variations.checked;

			list-style-position: inside;
		
			#{$base}__item {
        display: flex;
      }
				
			#{$base}__icon {
        padding-right: var(--digi--padding--small);
        width: 1rem;
        flex-shrink: 0;
        align-items: start;
        margin-top: rem(7);
			}

		}

    &__list {
      padding-inline-start: var(--LIST--PADDING-INLINE-START);
      margin-top: var(--digi--list--margin--top);
      margin-bottom: var(--digi--list--margin--bottom);
			box-sizing: border-box;
    }

		&__item {

			&:not(:last-child) {
				 margin-bottom: var(--digi--padding--smaller);
			}
		}
	}
}


